## software-properties 0.82.7-1linuxmint2

=== tests/Makefile ===
#!/usr/bin/make

all: check

check:
	set -e; \
	find . -name 'test_*.py' | \
	while read file; do \
	    if [ -x $$file ]; then \
		echo "Testing $$file $$PWD"; \
	    	python $$file; \
	    fi \
	done

## software-properties 0.59.4

=== debian/changelog ===
software-properties (0.59.4) feisty; urgency=low

  * i18n fixes, closes https://launchpad.net/bugs/102773

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2007 12:56:50 +0100

software-properties (0.59.3) feisty; urgency=low

  * Fix an incorrect insenstive state of the source code checkbutton

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Wed,  4 Apr 2007 11:37:06 +0200

software-properties (0.59.2) feisty; urgency=low

  * another cdrom releated fix (LP#98795)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  4 Apr 2007 21:00:41 +0200

software-properties (0.59.1) feisty; urgency=low

  * remove obsolete glade file
  * fix cdrom support in the GTK and KDE frontend

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Apr 2007 11:06:39 +0200

software-properties (0.59) feisty; urgency=low

  [ Jonathan Riddell ]
  * KDE frontend
    - implement find best mirror
    - Add missing mirrors (first one from each country was not added)
    - Sort mirrors list
    - Implement revert button
  * Gnome frontend
    - Fix typo "Protocoll"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Mar 2007 11:17:17 +0100

software-properties (0.58.1) feisty; urgency=low

  [Michael Vogt]
  * Fix setting transient-for none in some cases.
    (thanks to Robert Carr)
  * only build for python version from 2.4 onwards (LP#96747)
  [Sebastian Heinlein]
  * fixes in the mirror speed tester

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Mar 2007 13:46:16 +0200

software-properties (0.58) feisty; urgency=low

  * po/*.po:
    - make update-po
  * allow to specify no components in the edit dialog (LP#93640)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Mar 2007 15:20:49 +0100

software-properties (0.57) feisty; urgency=low

  [ Michael Vogt ]
  * fix in the danish translation (thanks to Ole Laursen)
  * do not crash when called with a filename arguemnt (LP#90296)
  * fix crash in dialog edit in kde (LP#92230)

  [ Sebastian Heinlein ]
  * increase number of ping workers from 5 to 25 to speed up the
    mirror test (LP#90379)
  * fix the progress bar of the download test (missing mod call)
  * UI glitches fixes
  * fix the order of the variables in the gtk __init__ (LP#93028)
  * fix a wrong import in the GTK d'n'd handler (LP#93163)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Mar 2007 11:11:45 +0100

software-properties (0.56) feisty; urgency=low

  [Michael Vogt]
  * fix crash in remove_source() (LP#85759)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Feb 2007 17:01:55 +0100

software-properties (0.55) feisty; urgency=low

  [Sebastian Heinlein]
  * fix crash in kde frontend (LP#84901)
  * fix kde form heading (LP#84610)
  * fix automatic updates saving (LP#84612)
  * typo fixes 

  [ Jonathan Riddell ]
  * Fix KDE crash dialogue to point to software-properties, not Ubiquity
	
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Feb 2007 11:06:05 +0100

software-properties (0.54) feisty; urgency=low

  * fixed desktop file (LP#84290)
  * fix --enable-component (LP#84608)
  * fix missing icon
  * various bugfixes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Feb 2007 09:50:20 +0100

software-properties (0.53) feisty; urgency=low

  *  added full GNU FDL text to the source 

 -- Michael Vogt <egon@localhost.localdomain>  Wed,  7 Feb 2007 15:40:50 +0100

software-properties (0.52) feisty; urgency=low

  * update debian/copyright 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  7 Feb 2007 12:26:49 +0100

software-properties (0.51) feisty; urgency=low

  * fix some UI glitches (thanks to Sebastian Heinlein)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Feb 2007 11:02:18 +0100

software-properties (0.50) feisty; urgency=low

  * fork source package from update-manager to support adding 
    different frontends (thanks to Sebastian Heinlein and 
    Jonathan Riddell)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Oct 2006 10:23:39 +0200

update-manager (0.45.1) edgy-updates; urgency=low

  * handle unexpected data from data more gracefuly (lp: #68553)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Oct 2006 10:23:39 +0200

update-manager (0.45) edgy; urgency=low

  * debian/control:
    - added dependency on python-gconf
    - removed recommends on python-gnome2

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Oct 2006 18:32:17 +0200

update-manager (0.44.17) edgy; urgency=low

  * memory leak fixed (lp: #43096)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  9 Oct 2006 15:24:40 +0200

update-manager (0.44.16) edgy; urgency=low

  * fix proxy usage when runing in non-root mode (lp: #40626)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  6 Oct 2006 15:17:37 +0200

update-manager (0.44.15) edgy; urgency=low

  * added missing python-vte dependency (lp: #63609)
  * added missing gksu dependency (lp: #63572)
  * don't remove xchat automatically anymore on upgrade (leftover
    from breezy->dapper) (lp: #63881)
  * do not come up with bogus dist-upgrade suggestions
  * fix bad english grammar (lp: #63761, #63474)
  * fix in the edgyUpdates quirks handler (lp: #63723)
  * catch error from _tryMarkObsoleteForRemoval() (lp: #63617)
  * fix plural forms for ro, pl (lp: #46421)
  * properly escape comments before displaying them (lp: #63475)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  4 Oct 2006 21:10:40 +0200

update-manager (0.44.14) edgy; urgency=low

  * fix some incorrect i18n markings (lp: #62681)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Oct 2006 14:41:52 +0200

update-manager (0.44.13) edgy; urgency=low

  * fix missing i18n declarations (lp: #62519)
  * data/glade/SoftwareProperties.glade:
    - fix missing "translatable" property (lp: #62681)
  * DistUpgrade:
    - deal better with the python transition and the hpijs 
      upgrade (lp: #62948)
  * UpdateManager/UpdateManager.py:
    - put the cancel button inside the text-area to avoid flickering
    - make sure that src_ver is always initialized (thanks to


=== debian/control ===
Source: software-properties
Section: admin
Priority: optional
XS-Python-Version: >= 2.4
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), libxml-parser-perl, scrollkeeper, intltool, python-dev, python-distutils-extra, cdbs
Standards-Version: 3.7.2

Package: python-software-properties
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.16.2), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.

Package: software-properties-gtk
Architecture: all
Replaces: update-manager (<< 0.55)
Conflicts: update-manager (<< 0.55)
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python, synaptic (>= 0.57.8), gksu, python-software-properties, python-glade2, python-gtk2
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a GTK+ based graphical interface.

Package: software-properties-kde
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python, python-qt4, python-software-properties
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a QT/KDE based graphical interface.

## software-properties 0.60

=== debian/changelog ===
software-properties (0.60) gutsy; urgency=low

  [Michael Vogt]
  * data/software-propoerties.desktop.in:
    - fix double gksu (LP: #111137)
  * fix incorrect X-Ubuntu-Gettext-Domain (Fixes LP: #120012)
  * setup.py:
    - ported to new distutils

  [Sebastian Heinlein]
  * Adapet changes of python-apt that allow to handle forced
    servers in a more sane way - fix (LP: #86060)
  * fix i18n issues
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 01 Aug 2007 10:06:58 +0200

## software-properties 0.63ubuntu1

=== debian/changelog ===
software-properties (0.63ubuntu1) hardy; urgency=low

  * do not install (outdated) help for now

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Mar 2008 23:10:15 +0100

software-properties (0.62ubuntu1) hardy; urgency=low

  [ Jonathan Riddel ]
  * Make KDE frontend call adept_batch update when sources need to be
    updated
  * Remove KDE frontend crash dialogue, use apport instead

  [ Sebastian Heinlein ]
  - updated for python-distutils-extra 1.92
  
  [ Michael Vogt ]
  - add support to change release upgrade policy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Feb 2008 18:40:45 +0100

## software-properties 0.63ubuntu1netbook2

=== debian/changelog ===
software-properties (0.63ubuntu1netbook2) netbook-common; urgency=low

  * 14_simplify_ui.patch:
    - Take out Ubuntu Software and Statistics tabs.
    - Drop Ubuntu updates and Release upgrade sections from Update
      tab.
    - Mov Update tab to first position.

 -- Michael Terry <michael.terry@canonical.com>  Thu, 26 Feb 2009 14:10:17 -0500

software-properties (0.63ubuntu1netbook1) hardy; urgency=low

  * 12_dont_show_mirror_dialog_if_no_mirrors.patch:
    - Don't enable the mirror dialog if we don't have any mirrors.

 -- Michael Terry <michael.terry@canonical.com>  Fri, 06 Feb 2009 13:23:10 -0500

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 XS-Python-Version: >= 2.4
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), libxml-parser-perl, scrollkeeper, intltool, python-dev, python-distutils-extra, cdbs
+Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), libxml-parser-perl, scrollkeeper, intltool, python-dev, python-distutils-extra (>= 1.90), cdbs
 Standards-Version: 3.7.2
 
 Package: python-software-properties
 Architecture: all
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.16.2), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes
+Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software

=== debian/rules ===
#!/usr/bin/make -f
  
DEB_AUTO_CLEANUP_RCS            := yes

DEB_PYTHON_SYSTEM=pycentral

# Add here any variable or target overrides you need

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

ifdef _cdbs_rules_debhelper
$(patsubst %,binary-install/%,software-properties-gtk) :: binary-install/%:
	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)
	$(if $(wildcard /usr/bin/dh_gconf),dh_gconf -p$(cdbs_curpkg) $(DEB_DH_GCONF_ARGS))
	$(if $(wildcard /usr/bin/dh_desktop),dh_desktop -p$(cdbs_curpkg) $(DEB_DH_DESKTOP_ARGS))
	$(if $(wildcard /usr/bin/dh_iconcache),dh_iconcache -p$(cdbs_curpkg) $(DEB_DH_DESKTOP_ARGS))
endif


DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

arch-build::
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(DEB_SOURCE_PACKAGE)-$(DEB_VERSION)
	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(DEB_SOURCE_PACKAGE)-$(DEB_VERSION);tar xf -)
	(cd debian/arch-build/$(DEB_SOURCE_PACKAGE)-$(DEB_VERSION) && $(DEB_BUILD_PROG))

## software-properties 0.68

=== debian/changelog ===
software-properties (0.68) intrepid; urgency=low

  * SoftwarePropertiesKDE.py: use install-package instead of obsolete adept_batch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Oct 2008 15:11:57 +0100

software-properties (0.67) intrepid; urgency=low
	
  * KDE: Add --attach option to make it act like a dialogue

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Sep 2008 20:55:23 +0100

software-properties (0.66) intrepid; urgency=low

  * Patch from Connor Kirwan to main.ui for KDE frontend <cdkirwan@gmail.com>
   - Use QGroupBox containers on the Updates tab (like on the Kubuntu Software
     tab)
   - Remove ugly non-native-looking rich text styling from "Trusted software
      providers" header on the Authentication tab; font now conforms to user's
     global KDE/Qt font settings
   - Fix miscellaneous capitalization inconsistencies (compared against GTK
     version)
   - Fix typos: s/Installalble/Installable/, s/CDROM/CD-ROM/
   - Hide all QTreeWidget headers and remove their labels since they are only
     single-column and are already labeled by their tab or a standalone header


 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Sep 2008 16:18:28 +0100

software-properties (0.65ubuntu1) intrepid; urgency=low

  * added kde4 port (thanks to Jonathan Thomas)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Aug 2008 17:32:16 +0200

software-properties (0.64ubuntu1) intrepid; urgency=low

  * Standarizing .desktop file data/software-properties.desktop.in (LP : # 146979)
   + Removing Application value from Category key - Deprecated
   + Removing Encoding Key - Deprecated 
   + Adding semicolon to the end of MimeType

 -- Jad Madi <Jad@Ubuntu.com>  Mon, 21 Jul 2008 21:56:29 +0300

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Package: software-properties-kde
 Architecture: all
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python, python-qt4, python-software-properties
+Depends: ${python:Depends}, ${misc:Depends}, python, python-qt4, python-kde4, python-software-properties
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software

## software-properties 0.68.1

=== debian/changelog ===
software-properties (0.68.1) intrepid-proposed; urgency=low

  * Fix import of GPG keys with non-ascii characters
    Closes LP: #133937

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Oct 2008 19:06:09 +0000

## software-properties 0.71.5

=== debian/changelog ===
software-properties (0.71.5) jaunty; urgency=low

  * debian/control:
    - put "software-properties-kde" into the kde section 
      (LP: #323556)
  * softwareproperties/SoftwareProperties.py:
    - fix crash in the way md5 from hashlib is used (LP: #346863)
  * softwareproperties/gtk/DialogMirror.py:
    - fix crash when no mirrors are available (LP: #332205)
  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - make is_seperator() more robust (LP: #335637)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Mar 2009 15:00:56 +0100

software-properties (0.71.4) jaunty; urgency=low

  * PyKDE4 frontend polish:
    - QFileDialog -> KFileDialog
    - Pushbuttons get appropriate KIcons
    - The "Remove..." gpg key pushbutton is disabled when nothing is selected
      in the key treeview, just like the remove pushbutton in the sources 
      editor tab

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 20 Mar 2009 08:46:36 -0400

software-properties (0.71.3) jaunty; urgency=low

  * fix combobox_server unicode for bug #102773
    (thanks to Savvas Radevic)
  * fix warning from 'import md5', thanks to Marco Rodrigues
  * softwareproperties/SoftwareProperties.py:
    - if a entry is added that matches a known channel automatically
      add the right gpg signing key (LP: #328486)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 18 Mar 2009 17:53:09 +0100

software-properties (0.71.2) jaunty; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - show the cache outdate dialog when run with toplevel 
      too
  * sofware-properties-gtk:
    - add "--open-tab" option that opens a spefic tab number
      on startup
  * debian/*.install:
    - updated for new python policy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Mar 2009 17:12:51 +0100

software-properties (0.71.1) jaunty; urgency=low

  * use iso_3166.xml instead of iso_3166.tab

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Jan 2009 09:51:22 +0100

software-properties (0.71) jaunty; urgency=low

  * softwareproperties/gtk/DialogMirror.py:
    - fixes in the mirror speed test for small sets of 
      mirrors

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 08 Jan 2009 17:06:11 +0100

software-properties (0.70) jaunty; urgency=low

  * main.glade: Change accelerator for "Check for updates" dropdown
    from alt+c to alt+k to remove collision with close (LP: #285317)

 -- Mackenzie Morgan <maco.m@ubuntu.com>  Sat, 18 Oct 2008 04:51:58 -0400

## software-properties 0.71.5netbook2

=== debian/changelog ===
software-properties (0.71.5netbook2) netbook-jaunty; urgency=low

  * debian/changelog:
    - Insert missing changelog entry for original netbook
      revision.

 -- Bruno Dilly <bruno.dilly@canonical.com>  Fri, 03 Jul 2009 19:38:44 -0300

software-properties (0.71.5netbook1) netbook-jaunty; urgency=low

  * Merge from Hardy netbook-common (original work by Michael Terry)
  * 14_simplify_ui.patch:
    - Take out Ubuntu Software and Statistics tabs.
    - Drop Ubuntu updates and Release upgrade sections from Update
      tab.
    - Mov Update tab to first position.

 -- Bruno Dilly <bruno.dilly@canonical.com>  Fri, 03 Jul 2009 15:48:21 -0300

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
 
 Package: software-properties-kde
 Architecture: all
+Section: kde
 XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, ${misc:Depends}, python, python-qt4, python-kde4, python-software-properties
 Description: manage the repositories that you install software from

## software-properties 0.75.4

=== debian/changelog ===
software-properties (0.75.4) karmic; urgency=low

  * Suffix software-properties.desktop with -gtk.desktop
  * Create a copy of that file with suffix -kde.desktop
    + Change to KDE icon and exec
    + Add NoDisplay=true, the desktop file is only necessary for kdesudo to 
      have it show a proper name and icon which does not require it to show
      up anywhere
  * software-properties-kde depends on install-package for reloading the
    repository information and cache updating (LP: #367972)
  * Fix typo in software-properties-kde description (QT -> Qt)
  * if != if not ... only show key removal error if there really was a
    problem (LP: #123372)
  * Make python-software-properties go to section python
  * Add manpage for software-properties-kde (generated by kdemangen.pl from
    the kdesdk-scripts package (low maintenance)
  * Clearify license versions in copyright file 
  * Bump standards version to 3.8.3

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 07 Sep 2009 11:58:49 +0200

software-properties (0.75.3) karmic; urgency=low

  [ Kyle Nitzsche ]
  * Use "Other Software" instead of "Third Party Software" (LP: #420672)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Sep 2009 18:30:39 +0200

software-properties (0.75.2) karmic; urgency=low

  [ Michael Vogt ]
  * update software-properties.pot (LP: #407240)

  [ Harald Sitter ]
  * Add actual PGP key file endings to the KDE file picker whitelist (keep
    old endings around for compability)
  * Fix the KDE UI's enable-component arg, add output to that function and
    reorder help output to list --attach as last

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 22 Aug 2009 16:35:34 +0200

software-properties (0.75.1) karmic; urgency=low

  * add-apt-repository:
    - fix typo (thanks to Brian Murray), LP: #399864
  * debian/control:
    - add Vcs-Bzr header
  * softwareproperties/SoftwareProperties.py:
    - allow removing of sources.list.d files with just a single
      line (LP: #399898)
  * add-apt-repository:
    - ensure that new files are created with 0644 by default
      (LP: #399709)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Jul 2009 17:00:34 +0200

software-properties (0.75) karmic; urgency=low

  * new helper script "add-apt-repository" that can be used to
    enable a repository from the commandline. Useful for e.g.
    'add-apt-repository ppa:gnome-desktop'
  * fix error in auto-upgrade settings when 
    dpkg-reconfigure unattended-upgrades was used (LP: #387704)
  * po/zh_TW.po:
    - updated, thanks to Roy Chan (LP: #365040)
  * softwareproperties/kde/SoftwarePropertiesKDE.py:
    - do not error on cancel (LP: #364288)
    - use the SUDO_USER home instead of /root (if available) 
      (LP: #364197)
    - add utf8() function and replace the custom converts to it
      (hopefully fixes LP: #362188)
    - disable "Find best server" for now, the threading crashing
      KDE
  * softwareproperties/gtk/DialogCacheOutdated.py:
    - fix incorrect wait on synaptic (LP: #357617, LP: #349639)
  * softwareproperties/SoftwareProperties.py:
    - check/ensure apt daily cron job is executable (LP: #390319)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Jul 2009 16:54:38 +0200

software-properties (0.74) karmic; urgency=low

  * debian/rules:
    - use DH_PYTHON=include-links
  * add support for drag-n-drop public key blocks
  * fix error() function
  * add right click menu to authication treeview to
    support adding key via copy-n-paste (LP: #372577)
  * software-properties-kde: 
    - set bugAddress to ""

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Jun 2009 17:14:05 +0200

software-properties (0.73) karmic; urgency=low

  * Support adding PPA keys automatically (thanks to
    Celso)
  * support shorthand syntax for PPAs (ppa:owner or
    ppa:owner/ppa_name) when clicking on "add"
  * support new commandline option "--enable-ppa name"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Jun 2009 18:28:24 +0200

software-properties (0.72) karmic; urgency=low

  * softwareproperties/kde/DialogEdit.py, 
    softwareproperties/kde/SoftwarePropertiesKDE.py:
    - fix unicode problems with KDE (thanks to Savvas)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Jun 2009 21:30:00 +0200

## software-properties 0.75.4netbook1

=== debian/changelog ===
software-properties (0.75.4netbook1) karmic; urgency=low

  * Merge with karmic, remaining changes:
    - 14_simplify_ui.patch

 -- Michael Terry <michael.terry@canonical.com>  Wed, 14 Oct 2009 15:04:37 -0400

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 XS-Python-Version: >= 2.4
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), libxml-parser-perl, scrollkeeper, intltool, python-dev, python-distutils-extra (>= 1.90), cdbs
-Standards-Version: 3.7.2
+Standards-Version: 3.8.3
+Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
 
 Package: python-software-properties
+Section: python
 Architecture: all
 XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes
@@ -32,10 +34,11 @@
 Architecture: all
 Section: kde
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python, python-qt4, python-kde4, python-software-properties
+Depends: ${python:Depends}, ${misc:Depends}, python, python-qt4, python-kde4,
+ python-software-properties, install-package
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software
  vendor software sources.
  .
- This package contains a QT/KDE based graphical interface.
+ This package contains a Qt/KDE based graphical interface.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 DEB_AUTO_CLEANUP_RCS            := yes
 
 DEB_PYTHON_SYSTEM=pycentral
+export DH_PYCENTRAL=include-links
 
 # Add here any variable or target overrides you need
 
@@ -16,6 +17,8 @@
 	$(if $(wildcard /usr/bin/dh_gconf),dh_gconf -p$(cdbs_curpkg) $(DEB_DH_GCONF_ARGS))
 	$(if $(wildcard /usr/bin/dh_desktop),dh_desktop -p$(cdbs_curpkg) $(DEB_DH_DESKTOP_ARGS))
 	$(if $(wildcard /usr/bin/dh_iconcache),dh_iconcache -p$(cdbs_curpkg) $(DEB_DH_DESKTOP_ARGS))
+$(patsubst %,binary-install/%,software-properties-kde) :: binary-install/%:
+	$(if $(wildcard /usr/bin/dh_desktop),dh_desktop -p$(cdbs_curpkg) $(DEB_DH_DESKTOP_ARGS))
 endif

## software-properties 0.75.10

=== debian/changelog ===
software-properties (0.75.10) lucid; urgency=low

  * softwareproperties/ppa.py:
    - fix launchpad API path when looking for the PPA archive 
      signing key

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Apr 2010 20:59:41 +0200

software-properties (0.75.9) lucid; urgency=low

  * [KDE] Fix crash caused by translations containing distro name (LP: #545927) 

 -- Amichai Rothman <amichai2@amichais.net>  Mon, 29 Mar 2010 02:34:40 +0300

software-properties (0.75.8) lucid; urgency=low

  [ Michael Vogt ]
  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - do not crash if tranient parent can not be set (LP: #83914)
  * debian/manpages/software-properties-gtk.1:
    - add man-page (thanks to Gabe Gorelick) LP: #290308
  * add-apt-repository:
    - better help output (LP: #407779)
    - do not crash if setlocale fails (LP: #467369)
  * software-properties-gtk:
    - ensure newly created ppa files are readalbe (LP: #497778)
  * data/software-properties-gtk.desktop.in:
    - fix desktop file location (thanks to Ricardo Pérez López)
      LP: #543637
  * provide apt-add-repository link (LP: #547194)
  * debian/manpages/add-apt-repository.1:
    - add man-page, thanks to Chow Loong Jin (LP: #407779)
  * fix lintian warnings
  * softwareproperties/SoftwareProperties.py:
    - show summary in addition to comment for disabled entries 
      (LP: #543207)
  
  [ Harald Sitter ]
  * [KDE] Fix bug in I18nHelper, where it would trigger a crash if unicode()
    to UTF-8 fails. Fallback to latin1 in this case. This for example happens
    when the APT keyring contains a key with non-latin characters, which can
    happen with PPA keys, since those contain the owner's name.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Mar 2010 13:51:20 +0100

software-properties (0.75.7) lucid; urgency=low

  * [KDE] Fix a crash on startup encountered with localized environments
    (LP: #505964)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 11 Jan 2010 15:31:59 -0500

software-properties (0.75.6) lucid; urgency=low

  * Fix cdrom progress bar popping up after being canceled (LP: #496257) 
  * Fix adding cdrom source to top of sources list (LP: #162395) 
  * Fix instability after failed cdrom addition (LP: #221667) 
  * Fix focus in add source dialog 

 -- Amichai Rothman <amichai2@amichais.net>  Tue, 22 Dec 2009 17:29:46 +0000

software-properties (0.75.5) lucid; urgency=low

  [ Harald Sitter ]
  * KDE frontend: replace old manual listing of file endings for key import
    with mimetype based model (no need to support old stuff since it is so
    incredibly wrong... ending-wise that is)

  [ Amichai Rothman ]
  * Fix import of keys with non-ascii filename (LP: #350485)
  * Add source line input validation when adding a new source (LP: #116445)
  * Fix selected item and edit/remove button state after toggling a source
  * Fix alternate mirror selection corrupting sources.list (LP: #464707)
  * Fix selected mirror not shown in combobox (LP: #96110)
  * Fix mirror selection dialog error in non-ascii locale (LP: #96201)
  * Fix crash when modifying sources selection (LP: #102792)
  * Fix error handling when ppa key is missing (LP: #475220)
  * Improve keyboard tab order in some dialogs (LP: #464569) 
  * Fix and improve mirror test and GUI (LP: #223047)
  * Fix mirror test timeout handling (LP: #456365) 
  * Fix i18n, accelerators and styling on all dialogs (LP: #102773) 
  * Fix utf8 in edit source dialog comments (LP: #489960) 

 -- Amichai Rothman <amichai2@amichais.net>  Sun, 13 Dec 2009 23:49:08 +0200

## software-properties 0.75.10common0charlotte2

=== debian/changelog ===
software-properties (0.75.10common0charlotte2) lucid; urgency=low

  * SoftwarePropertiesGtk.py: now that we've removed the UI feature, there
    is no longer a widget to manipulate. Attempting to set it active or
    connect a signal to it will result in an error (LP: #788380)

 -- Alex Chiang <achiang@canonical.com>  Thu, 26 May 2011 18:14:53 -0600

software-properties (0.75.10common0charlotte1) lucid; urgency=low

  * data/glade/main.glade: hide 'Release Upgrade' option from user (LP: #784847)

 -- Alex Chiang <achiang@canonical.com>  Tue, 24 May 2011 15:49:52 -0600

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 XS-Python-Version: >= 2.4
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), libxml-parser-perl, scrollkeeper, intltool, python-dev, python-distutils-extra (>= 1.90), cdbs
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), libxml-parser-perl, scrollkeeper, intltool, python-all, python-distutils-extra (>= 1.90), cdbs
+Standards-Version: 3.8.4
 Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
 
 Package: python-software-properties

## software-properties 0.75.10jolicloud1

=== debian/changelog ===
software-properties (0.75.10jolicloud1) robby-lucid; urgency=low

  * Use the upstream release from lsb_release (ubuntu), not the top-
    level release (jolicloud)

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 20 Sep 2010 15:59:19 -0600

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Section: python
 Architecture: all
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes
+Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release (>= 4.0-1jolicloud1),  python-gnupginterface, unattended-upgrades, iso-codes
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software

## software-properties 0.75.10.1

=== debian/changelog ===
software-properties (0.75.10.1) lucid-proposed; urgency=low

  * Stable release update, add release upgrade prompt options to KDE UI,
    allows selection between LTS and normal release upgrade prompts,
    LP: #631708

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Sep 2010 17:37:10 +0100

## software-properties 0.75.10.2

=== debian/changelog ===
software-properties (0.75.10.2) lucid-security; urgency=low

  * SECURITY UPDATE: incorrect ssl certificate validation (LP: #915210)
    - softwareproperties/ppa.py: use pycurl to download the signing key
      fingerprint.
    - debian/control: add python-pycurl dependency.
    - CVE-2011-4407

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Jan 2012 11:20:28 -0500

## software-properties 0.75.10.3

=== debian/changelog ===
software-properties (0.75.10.3) lucid-security; urgency=low

  * SECURITY UPDATE: improve gpg key validation to prevent MITM attack
    (LP: #1016643)
    - softwareproperties/ppa.py: download gpg key to temporary keyring, and
      validate using v4 fingerprint before importing to apt keyring.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Sep 2012 09:26:15 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Section: python
 Architecture: all
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release (>= 4.0-1jolicloud1),  python-gnupginterface, unattended-upgrades, iso-codes
+Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes, python-pycurl
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software

## software-properties 0.76.7

=== debian/changelog ===
software-properties (0.76.7) maverick; urgency=low

  [ Gabor Kelemen ]
  * Add translation domain info to setup_ui and its invocations. 
    Fixes LP:644404

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Sep 2010 14:55:05 +0200

software-properties (0.76.6) maverick; urgency=low

  * data/gtkbuilder/main.ui:
    - fix expand property of the button pane
  * fix deprecation warnings from python-apt 0.8

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Sep 2010 10:16:53 +0200

software-properties (0.76.5) maverick; urgency=low

  [ Mohamed Amine IL Idrissi ]
  * data/software-properties-gtk.desktop.in: desktop file is now really
    hidden (LP: #624072)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Sep 2010 15:23:11 +0200

software-properties (0.76.4) maverick; urgency=low

  * Add release upgrade option to KDE UI to select between LTS and
    normal upgrade prompts LP: #631708

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Sep 2010 17:09:25 +0100

software-properties (0.76.3) maverick; urgency=low

  * po/POTFILES.in,
    Correctly define the gtkbuilder types to those strings are in the template
  * Correct a typo in one of the add-apt-repository strings
    (lp: #630613)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Sep 2010 17:38:47 +0200

software-properties (0.76.2) maverick; urgency=low

  [ Michael Vogt ]
  * fix ftbfs

  [ Mohamed Amine IL Idrissi ]
  * data/software-properties-gtk.desktop.in: Menu entry is now hidden
    (LP: #624072)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Aug 2010 20:19:47 +0200

software-properties (0.76.1) maverick; urgency=low

  [ Amicahi Rothman ]
  * Fixed "Select Best Server" broken by PyQt signal argument changes 
  
  [ Michael Vogt ]
  * po/pt_BR.po:
    - updated, thanks to Sergio Cipolla 
  * merged lp:~and471/software-properties/gtkbuilder-and-gui-polish,
    many thanks!

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Aug 2010 20:05:41 +0200

software-properties (0.76) maverick; urgency=low

  [ Jonathan Harker ] 
  * Improve documentation for apt-add-repository (LP: #586790)
  
  [ mac9416 ]
  * Fixed bug LP: #446216: added --remove option to add-apt-reporitory.
  * Fixed Bug LP: #579669 which points out that add-apt-repository will 
    create a sources.list.d file with illegal characters
    if there are illegal characters in a PPA name
  
  [ Andrea Corbellini ]
  * Automatically create a deb-src line when adding a new repository
    (LP: 399711)
  
  [ Michael Vogt ]
  * add test for LP: #579669 and use re.sub() instead of urllib.quote()
  * merged lp:~alexzak/software-properties/fixes, many thanks

  [ Erik B. Andersen ]
  * Fixed depreciation warnings
  
  [ Brandon Tomlinson ]
  * Altered data/glade/main.glade Put the bottom buttons in a button box 
    to make the buttons assume the correct width (LP: #515990)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Aug 2010 17:38:45 +0200

software-properties (0.75.11) maverick; urgency=low

  * Port software-properties-kde from using install-package to using
    qapt-batch, a C++ drop-in replacement (LP: #497803)
  * Replace dependency on install-package to qapt-batch in debian/control
  * Bump Standards-Version to 3.9.1, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 06 Aug 2010 20:09:06 -0400

=== debian/control ===
Source: software-properties
Section: admin
Priority: optional
XS-Python-Version: >= 2.4
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), libxml-parser-perl, scrollkeeper, intltool, python-all, python-distutils-extra (>= 1.90), cdbs
Standards-Version: 3.9.1
Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main

Package: python-software-properties
Section: python
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.

Package: software-properties-gtk
Architecture: all
Replaces: update-manager (<< 0.55)
Conflicts: update-manager (<< 0.55)
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python, synaptic (>= 0.57.8), gksu, python-software-properties, python-gtk2
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a GTK+ based graphical interface.

Package: software-properties-kde
Architecture: all
Section: kde
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python, python-qt4, python-kde4,
 python-software-properties, qapt-batch
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a Qt/KDE based graphical interface.

## software-properties 0.76.7debian2+nmu1

=== debian/changelog ===
software-properties (0.76.7debian2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to add Python 2.7 support.

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 11 May 2011 20:56:48 +0200

software-properties (0.76.7debian2) unstable; urgency=low

  * Disable sources refreshing on KDE and drop qapt-batch dependency.
  * softwareproperties/kde/CdromProgress.py:
    - Fix python-apt 0.8 progress->progress.base incompatibility

 -- Julian Andres Klode <jak@debian.org>  Thu, 07 Apr 2011 10:29:27 +0200

software-properties (0.76.7debian1) unstable; urgency=low

  * Rebase Debian package against Ubuntu maverick one.
  * python-apt 0.8 conform (Closes: #572350)
  * softwareproperties/gtk/CdromProgress.py:
    - Fix python-apt 0.8 progress->progress.base incompatibility
  * Move to debhelper 7 and dh_python2

 -- Julian Andres Klode <jak@debian.org>  Wed, 06 Apr 2011 16:52:52 +0200

software-properties (0.70.debian-1) experimental; urgency=low

  * New upstream release
  * debian/control.in:
  - added python-kde4 as a dependency for software-properties-kde, now
    that it is ported
  - upgraded to Standards-Version 3.8.0, with no changes
  - added Vcs headers
  * debian/copyright:
  - make it machine readable, using the standards defined in the Debian
    wiki
  * debian/software-properties-gtk.install:
  - no longer install help, since upstream no longer generates it, since
    it is outdated

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 04 Dec 2008 12:37:23 -0200

software-properties (0.60.debian-3) unstable; urgency=low

  * Reintroduce dropped changes from 0.60.debian-1.1 NMU.
  * Add manpages for software-properties-gtk and -kde.
    Thanks, Timo Jyrinki! (closes: #458471).

 -- Jordi Mallach <jordi@debian.org>  Sun, 14 Nov 2010 02:00:27 +0100

software-properties (0.60.debian-2) unstable; urgency=low

  * Fix all pending l10n issues from the BTS. Add updates for:
    - Slovak (closes: #439073, #441623, #531772).
    - Finnish (closes: #497714).
    - Japanese (closes: #454290).
    - Swedish (closes: #517504).
    - Czech (closes: #590820).
    - Brazilian Portuguese (closes: #593693).
    - Catalan (closes: #494174).
  * Fix errors in desktop file (closes: #453470).
  * Actually install .mo files. Thanks, Kenshi Muto and Mika Hanhijärvi
    (closes: #454280, #502582).
  * Fix glade markup in Popcon message, so it can show up in the dialog
    (closes: #509010, #505287).
  * Change default distro from sarge (!) to squeeze (closes: #418106).
  * Use su-to-root instead of gksu (closes: #479827).
  * Replace "Kubuntu" with "Debian" in the KDE frontend (closes: #577671).
  * Get rid of the bogus "urd" translation.

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Oct 2010 00:00:03 +0200

software-properties (0.60.debian-1.1) unstable; urgency=low

  * Non-maintainer upload during credativ BSP 2008
  * Fix release goal: FTBFS if build twice in a row (Closes: #442733)

 -- Martin Zobel-Helas <zobel@debian.org>  Sun, 06 Apr 2008 02:31:14 +0200

software-properties (0.60.debian-1) unstable; urgency=low

  [ Kilian Krause ]
  * Add get-orig-source target.

  [ Loic Minier ]
  * Use ubuntu-get-source instead of gnome-get-source; build-dep on
    gnome-pkg-tools >= 0.12.3.

  [ Gustavo Noronha Silva ]
  * This version changes the upstream version by adding a .debian
    sufix to indicate that we do change the tarball (by removing
    the debian/ subdirectory)
  * debian/watch:
  - added, to find new versions in archive.ubuntu.com
  * debian/changelog.ubuntu:
  - added; information about changes in the ubuntu source
  * debian/docs:
  - install the ubuntu changelog
  * debian/patches/00_setup_py_for_new_distutils_extra.diff:
  - removed; no longer needed, fixed upstream
  * debian/software-properties.png.uu, debian/rules:
  - import icon and code to replace the Ubuntu icon with the Debian
    one from update-manager
  * debian/control.in:
  - updated dependency on python-apt so that we depend on python-apt
    0.7.3
  - added build-dep on sharutils because of the uudecode usage in
    debian/rules

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 07 Aug 2007 22:36:03 -0300

software-properties (0.59.4-2) experimental; urgency=low

  * debian/copyright:
  - fix documentation licensing information so that it references
    the file in /usr/share/common-licenses
  * debian/control.in, debian/patches/00_setup_py_for_new_distutils_extra.diff:
  - python-distutils-extra 1.90 is now in Debian, and is API incompatible;
    make sure we use it to build, and that we use the new API

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 11 Jul 2007 21:54:59 -0300

software-properties (0.59.4-1) experimental; urgency=low

  * First upload to Debian
  - software-properties has been split in its own package
    (Closes: #396945)
  * debian/control.in:
  - require python-apt >> 0.7.2 (I don't know which version it will be)
    because 0.7.2 and earlier do not provide the needed modules and/or
    methods on the classes that are specific for Debian

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 19 Jun 2007 12:37:37 +0100

=== debian/control ===
Source: software-properties
Section: admin
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 7),
               libxml-parser-perl,
               scrollkeeper,
               intltool,
               python-all (>= 2.6.6-3~),
               python-distutils-extra (>= 1.90)
Standards-Version: 3.9.1
Vcs-Bzr: http://code.launchpad.net/~julian/software-properties/debian070

Package: python-software-properties
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.

Package: software-properties-gtk
Architecture: all
Replaces: update-manager (<< 0.55)
Conflicts: update-manager (<< 0.55)
Depends: ${python:Depends}, ${misc:Depends}, python, synaptic (>= 0.57.8), gksu, python-software-properties, python-gtk2
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a GTK+ based graphical interface.

Package: software-properties-kde
Architecture: all
Section: kde
Depends: ${python:Depends}, ${misc:Depends}, python, python-qt4, python-kde4,
 python-software-properties
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a Qt/KDE based graphical interface.

## software-properties 0.76.7debian2+nmu2

=== debian/changelog ===
software-properties (0.76.7debian2+nmu2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * incorrect ssl certificate validation: 
    - softwareproperties/ppa.py: use pycurl to download the signing key 
    fingerprint.
    - debian/control: add python-pycurl dependency.
    - CVE-2011-4407

 -- Luciano Bello <luciano@debian.org>  Tue, 31 Jan 2012 17:36:20 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-software-properties
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes
+Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes, python-pycurl
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software
